print.loo {loo} | R Documentation

## Print methods

### Description

Print methods

### Usage

    ## S3 method for class 'loo'
    print(x, digits = 1, ...)

    ## S3 method for class 'waic'
    print(x, digits = 1, ...)

    ## S3 method for class 'psis_loo'
    print(x, digits = 1, plot_k = FALSE, ...)

    ## S3 method for class 'psis'
    print(x, digits = 1, plot_k = FALSE, ...)

### Arguments

`x` | An object returned by `loo`, `psis`, or `waic`.
`digits` | An integer passed to `round`.
`...` | Arguments passed to `plot.psis_loo` if `plot_k` is `TRUE`.
`plot_k` | Logical. If `TRUE` the estimates of the Pareto shape parameter k are plotted. Ignored if `x` was generated by `waic`. To just plot k without printing use the `plot method`.

### Value

`x`, invisibly.

### See Also

`pareto-k-diagnostic`

[Package loo version 2.1.0 Index]